Per configurare il proxy ho visto che è necesssario agire ful file /etc/apt/apt.conf, nel quale devono essere inseriti tutti i parametri:

Acquire::http::proxy "http://proxy_username:password@proxy_ip:port ";
Acquire::https::proxy "https://proxy_username:password@proxy_ip:port" ;
Acquire::ftp::proxy "ftp://proxy_username:password@proxy_ip:port ";

nel mio caso la password inizia con il carattere ! e, credo che per questo motivo, non riesco ad eseguire gli aggiornamenti con apt-get.

Ho verificato su internet e ho trovato un caso simile nel quale veniva consigliato di sostituire il carattere ! con l'equivalente valore ascii %21, ma anche con questo tentativo non sono riuscito ad aggiornare Ubuntu (12.04) in quanto l'autenticazione fallisce.

Avreste qualche suggerimento da darmi?

Grazie,
Poldo

chiesto 06 Mag '14, 19:36

paolo's gravatar image

paolo
6781219

modificato 06 Mag '14, 23:32

dadexix86's gravatar image

dadexix86 ♦♦
16.9k816161

1

Prova mettendo il carattere \ prima di ! Hai provato ad impostare il proxy dalle impostazioni di sistema?

(08 Mag '14, 18:45) letizia letizia's gravatar image
Scrivi tu la prima risposta!
abilita/disabilita anteprima

Segui questa domanda

Via email:

Una volta eseguito l'accesso potrai iscriverti a tutti gli aggiornamenti qui

Via RSS:

Risposte

Risposte e commenti

Basi di markdown

  • *corsivo* o __corsivo__
  • **grassetto** o __grassetto__
  • collegamento:[testo](http://url.com/ "titolo")
  • immagine?![alt testo](/path/img.jpg "titolo")
  • elenco numerato: 1. Foo 2. Bar
  • per aggiungere un'interruzione di riga, aggiungi due spazi a fine riga e premi «Invio»
  • è supportato anche semplice HTML

Tag:

×68
×23

domanda posta: 06 Mag '14, 19:36

domanda visualizzata: 831 volte

ultimo aggiornamento: 08 Mag '14, 18:45

Chiedi è un servizio di supporto gestito da Ubuntu-it. Contattaci!

powered by OSQAPostgreSQL database
Ubuntu e Canonical sono marchi registrati da Canonical Ltd.